Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.web.dhtml
Interface DHTMLToolkit

    public interface DHTMLToolkit

This an API of JReport ver. 7. It is recommended to use APIs of ver. 8 or JSP/tags. DHTML API provides the API interface for users.

Support multi-report running in one session

Descriptions of some key terms:

runtime id: the key of all reports running in server(generated by server automatically when you run a report). Methods using runtime id must be called after the code "Map tmpmap = DHTMLUtil.runReport(request, params);" in dhtml.jsp.

session id: the key of the session in server(generated by server automatically when you login). Methods using session id must be called before the code "Map tmpmap = DHTMLUtil.runReport(request, params);" in dhtml.jsp.

Method Summary
`java.lang.StringBuffer` | `getBody(int left, int top, int scroll, java.lang.String onload, java.lang.String onresize, java.lang.String id)` Gets the content of DHTML mainpage body.
`java.lang.StringBuffer` | `getBody(java.lang.String bodyId, int left, int top, int scroll, java.lang.String onload, java.lang.String onresize, java.lang.String id)` Gets the content of DHTML mainpage body.
`java.lang.StringBuffer` | `getBody(java.lang.String bodyId, int left, int top, java.lang.String bgcolor, int scroll, java.lang.String onload, java.lang.String onresize, java.lang.String id)` Gets the content of DHTML mainpage body.
`java.lang.StringBuffer` | `getBody(java.lang.String bodyId, int left, int top, java.lang.String bgcolor, int scroll, java.lang.String onload, java.lang.String onresize, java.lang.String onunload, java.lang.String id)` Gets the content of DHTML mainpage body.
`char[]` | `getChars(java.lang.StringBuffer buf)` Converts the content of the specified StringBuffer to a char array.
`java.lang.StringBuffer` | `getConnectFrame(java.lang.String id, java.lang.String indent, int count)` Gets the content of DHTML connect frame.
`java.lang.StringBuffer` | `getConnectFrame(java.lang.String id, java.lang.String indent, int count, int left, int top, int width, int height)` Gets the content of DHTML connect frame.
`java.lang.String` | `getExcelDialogAct(java.lang.String id, boolean modal, java.lang.String title, int width, int height)` Gets the command string of the "show Export to Excel Dialog" action.
`java.lang.StringBuffer` | `getExec(java.lang.String id, java.lang.String indent, java.lang.String[] function)` Gets the executeable javascript code fragment based on the specified functions
`java.lang.String` | `getExitAct(java.lang.String id)` Gets the command string of the exit action.
`java.lang.StringBuffer` | `getFilterPanel(java.lang.String id, java.lang.String indent, int count, int left, int top, int width, int height)` Gets the content of DHTML Filter Panel.
`java.lang.StringBuffer` | `getFooter()` Gets the content of DHTML footer.
`java.lang.StringBuffer` | `getFooter(boolean pageLoaded)` Gets the content of DHTML footer.
`java.lang.StringBuffer` | `getGroupSortPanel(java.lang.String id, java.lang.String indent, int count, int left, int top, int width, int height)` Gets the content of DHTML group Sort Panel.
`java.lang.StringBuffer` | `getHeader(java.lang.String title, java.lang.String encoding, java.lang.String[][] js, java.lang.String[][] css, java.lang.String id)` Gets the content of DHTML header.
`java.lang.StringBuffer` | `getHeader(java.lang.String title, java.lang.String encoding, java.lang.String[] meta, java.lang.String[][] js, java.lang.String[][] css, java.lang.String id)` Gets the content of DHTML header.
`java.lang.StringBuffer` | `getMainPage(java.lang.String id)` Gets the content of DHTML mainpage.
`java.lang.StringBuffer` | `getMainPageHeader(java.lang.String id, java.lang.String indent, int count, int scroll)` Gets the content of DHTML mainpage pageheader.
`java.lang.StringBuffer` | `getMenu(java.lang.String id, java.lang.String indent, int count)` Gets the content of DHTML menu.
`java.lang.StringBuffer` | `getMenu(java.lang.String id, java.lang.String indent, int count, int top)` Gets the content of DHTML menu.
`java.lang.StringBuffer` | `getMenu(java.lang.String id, java.lang.String indent, int count, int left, int top, int width, int height)` Gets the content of DHTML Menu.
`java.lang.StringBuffer` | `getNavibar(java.lang.String id, java.lang.String indent, int count, int top)` Gets the content of DHTML Toolbar.
`java.lang.StringBuffer` | `getNavibar(java.lang.String id, java.lang.String indent, int count, int left, int top, int width, int height)` Gets the content of DHTML Navigation bar.
`java.lang.String` | `getPageCloseBtn(java.lang.String id, java.lang.String indent, int count, boolean popwin)`
`java.lang.String` | `getPageFilterBtn(java.lang.String id, java.lang.String indent, int count)`
`java.lang.String` | `getPageHelpBtn(java.lang.String id, java.lang.String indent, int count)`
`java.lang.String` | `getPageLockBtn(java.lang.String id, java.lang.String indent, int count)`
`java.lang.String` | `getPageMenuBtn(java.lang.String id, java.lang.String indent, int count)` customize mainpage components
`java.lang.String` | `getPageNavBtn(java.lang.String id, java.lang.String indent, int count)`
`java.lang.String` | `getPagePrintBtn(java.lang.String id, java.lang.String indent, int count)`
`java.lang.String` | `getPageRefreshBtn(java.lang.String id, java.lang.String indent, int count)`
`java.lang.String` | `getPageResetBtn(java.lang.String id, java.lang.String indent, int count)`
`java.lang.String` | `getPageSaveBtn(java.lang.String id, java.lang.String indent, int count)`
`java.lang.String` | `getPageSearchBtn(java.lang.String id, java.lang.String indent, int count)`
`java.lang.String` | `getPageSortBtn(java.lang.String id, java.lang.String indent, int count)`
`java.lang.String` | `getPageTocBtn(java.lang.String id, java.lang.String indent, int count)`
`java.lang.String` | `getPageZoomSelect(java.lang.String id, java.lang.String indent, int count)`
`java.lang.String` | `getPrintDialogAct()` Gets the command string of the "show Print Dialog" action.
`java.lang.StringBuffer` | `getPrintObject(java.lang.String indent, int count)` Gets the print object.
`java.lang.StringBuffer` | `getReportBrowser(java.lang.String id, java.lang.String indent, int count, int left, int top, int width, int height)` Gets the content of DHTML Report Browser.
`java.lang.StringBuffer` | `getReportBrowser(java.lang.String id, java.lang.String indent, int count, int left, int top, int width, int height, boolean isDisplay, java.lang.String bgcolor)` Gets the html which the DHTML's Report Browser
`java.lang.StringBuffer` | `getReportTabbar(java.lang.String id, java.lang.String indent, int count, int left, int top, int width)` Gets the content of DHTML Report tab bar.
`java.lang.StringBuffer` | `getRequiredHTML(java.lang.String id)` Gets the Required HTML information,include js file,css file and some System Information.
`java.lang.String` | `getSaveAsDialogAct(java.lang.String id)` Gets the command string of the "show Save as Dialog" action.
`java.lang.String` | `getSaveRstDialogAct(java.lang.String id)` Gets the command string of the "show Save Result Dialog" action.
`java.lang.String` | `getSearchDialogAct(java.lang.String id)` Gets the command string of the "show Search Dialog" action.
`java.lang.StringBuffer` | `getSortPanel(java.lang.String id, java.lang.String indent, int count, int left, int top, int width, int height)` Gets the content of DHTML Sort Panel.
`java.lang.StringBuffer` | `getTOCBrowser(java.lang.String id, int left, int top, int width, int height, boolean isDisplay, java.lang.String bgColor)` Gets the content of DHTML Table Of Content.
`java.lang.StringBuffer` | `getTOCBrowser(java.lang.String id, java.lang.String indent, int count, int left, int top, int width, int height)` Gets the content of DHTML Table Of Content.
`java.lang.StringBuffer` | `getTOCBrowser(java.lang.String id, java.lang.String indent, int count, int left, int top, int width, int height, java.lang.String tocId, java.lang.String fid, boolean isDisplay, java.lang.String bgColor)` Gets the content of DHTML Table Of Content.
`java.lang.StringBuffer` | `getTOCTree(java.lang.String id, java.lang.String indent, int count)`
`java.lang.StringBuffer` | `getToolbar(java.lang.String id, java.lang.String indent, int count, int top)` Gets the content of DHTML Toolbar.
`java.lang.StringBuffer` | `getToolbar(java.lang.String id, java.lang.String indent, int count, int left, int top, int width, int height)` Gets the content of DHTML Toolbar.
`java.lang.StringBuffer` | `getToolbar(java.lang.String id, java.lang.String indent, int count, int top, java.lang.String toolbarId)` Gets the content of DHTML Toolbar.
`java.lang.StringBuffer` | `getUserbar(java.lang.String id, java.lang.String indent, int count, int top)` Gets the content of DHTML user information panel.
`java.lang.StringBuffer` | `getUserbar(java.lang.String id, java.lang.String indent, int count, int left, int top, int width, int height)` Gets the content of DHTML user information panel.
`java.lang.StringBuffer` | `getVSplitbar(java.lang.String indent, int count, int top, int height)` Gets the content of DHTML Split bar.
`java.lang.StringBuffer` | `getWaiting(java.lang.String indent)` Gets the content of DHTML waiting div.
`void` | `indent(java.lang.StringBuffer buffer, java.lang.String indent, int count)` Indents the content of specified StringBuffer.
`void` | `setLayoutFunction(java.lang.String jsName, java.lang.String funName)` Sets the javascript file name and function name that are used to format the UI layout.
`void` | `setProperty(java.lang.String id, java.lang.String objectId, java.util.Hashtable properties)`
`void` | `setProperty(java.lang.String id, java.lang.String objectId, java.lang.String propertyKey, double propertyValue)`
`void` | `setProperty(java.lang.String id, java.lang.String objectId, java.lang.String propertyKey, float propertyValue)`
`void` | `setProperty(java.lang.String id, java.lang.String objectId, java.lang.String propertyKey, int propertyValue)`
`void` | `setProperty(java.lang.String id, java.lang.String objectId, java.lang.String propertyKey, java.lang.String propertyValue)` Set the component's property
`void` | `toolbarButton(java.lang.String id, java.lang.String indent, int count, int left, int top, java.lang.String onmouseover, java.lang.String onmouseout, boolean enable, java.lang.String onclick, java.lang.String onmousedown, java.lang.String onmouseup, java.lang.String buttonId, java.lang.String src, java.lang.String title, java.lang.StringBuffer buffer)` Generates the content of toolbar button to the specified StringBuffer.

Method Detail

### getMainPage

    java.lang.StringBuffer getMainPage(java.lang.String id)

  Gets the content of DHTML mainpage.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    the content of DHTML mainpage

### getMainPageHeader

    java.lang.StringBuffer getMainPageHeader(java.lang.String id,
                                             java.lang.String indent,
                                             int count,
                                             int scroll)

  Gets the content of DHTML mainpage pageheader.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `scroll` - the scroll option, can be SCROLLAUTO, SCROLLYES, or SCROLLNO
  Returns:
    the content of DHTML mainpage pageheader

### getBody

    java.lang.StringBuffer getBody(int left,
                                   int top,
                                   int scroll,
                                   java.lang.String onload,
                                   java.lang.String onresize,
                                   java.lang.String id)

  Gets the content of DHTML mainpage body.

  Parameters:
    `left` - the left margin of mainpage body, measured in pixels
    `top` - the top margin of mainpage body, measured in pixels
    `scroll` - the scroll option, can be SCROLLAUTO, SCROLLYES, or SCROLLNO
    `onload` - specifies the method names of the javasript that you want to invoke when the page body is being loaded.
    `onresize` - specifies the method names of the javasript that you want to invoke when the browser is being resized.
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    the content of DHTML mainpage body

### getBody

    java.lang.StringBuffer getBody(java.lang.String bodyId,
                                   int left,
                                   int top,
                                   int scroll,
                                   java.lang.String onload,
                                   java.lang.String onresize,
                                   java.lang.String id)

  Gets the content of DHTML mainpage body.

  Parameters:
    `bodyId` - the body element id
    `left` - the left margin of mainpage body, measured in pixels
    `top` - the top margin of mainpage body, measured in pixels
    `scroll` - the scroll option, can be SCROLLAUTO, SCROLLYES, or SCROLLNO
    `onload` - specifies the method names of the javasript that you want to invoke when page body is being loaded.
    `onresize` - specifies the method names of the javasript that you want to invoke when the browser is being resized.
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    the content of DHTML mainpage body

### getBody

    java.lang.StringBuffer getBody(java.lang.String bodyId,
                                   int left,
                                   int top,
                                   java.lang.String bgcolor,
                                   int scroll,
                                   java.lang.String onload,
                                   java.lang.String onresize,
                                   java.lang.String id)

  Gets the content of DHTML mainpage body.

  Parameters:
    `bodyId` - the body element id
    `bgcolor` - the background color of body
    `left` - the left margin of mainpage body, measured in pixels
    `top` - the top margin of mainpage body, measured in pixels
    `scroll` - the scroll option, can be SCROLLAUTO, SCROLLYES, or SCROLLNO
    `onload` - specifies the method names of the javasript that you want to invoke when page body is being loaded.
    `onresize` - specifies the method names of the javasript that you want to invoke when the browser is being resized.
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    the content of DHTML mainpage body

### getBody

    java.lang.StringBuffer getBody(java.lang.String bodyId,
                                   int left,
                                   int top,
                                   java.lang.String bgcolor,
                                   int scroll,
                                   java.lang.String onload,
                                   java.lang.String onresize,
                                   java.lang.String onunload,
                                   java.lang.String id)

  Gets the content of DHTML mainpage body.

  Parameters:
    `bodyId` - the body element id
    `bgcolor` - the background color of body
    `left` - the left margin of mainpage body, measured in pixels
    `top` - the top margin of mainpage body, measured in pixels
    `scroll` - the scroll option, can be SCROLLAUTO, SCROLLYES, or SCROLLNO
    `onload` - specifies the method names of the javasript that you want to invoke when the page body is being loaded.
    `onresize` - specifies the method names of the javasript that you want to invoke when the browser is being resized.
    `onunload` - specifies the method names of the javasript that you want to invoke when the page body is being unloaded.
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    the content of DHTML mainpage body

### getConnectFrame

    java.lang.StringBuffer getConnectFrame(java.lang.String id,
                                           java.lang.String indent,
                                           int count)

  Gets the content of DHTML connect frame.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
  Returns:
    the content of DHTML connect frame

### getWaiting

    java.lang.StringBuffer getWaiting(java.lang.String indent)

  Gets the content of DHTML waiting div.

  Parameters:
    `indent` - the indent that is used to format output content
  Returns:
    the content of DHTML waiting div.

### getConnectFrame

    java.lang.StringBuffer getConnectFrame(java.lang.String id,
                                           java.lang.String indent,
                                           int count,
                                           int left,
                                           int top,
                                           int width,
                                           int height)

  Gets the content of DHTML connect frame.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `left` - the left position of connect frame, measured in pixels
    `top` - the top position of connect frame, measured in pixels
    `width` - the width of connect frame, measured in pixels
    `height` - the height of connect frame, measured in pixels
  Returns:
    the content of DHTML connect frame

### getPrintObject

    java.lang.StringBuffer getPrintObject(java.lang.String indent,
                                          int count)

  Gets the print object.

  Parameters:
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
  Returns:
    the content of print object

### getUserbar

    java.lang.StringBuffer getUserbar(java.lang.String id,
                                      java.lang.String indent,
                                      int count,
                                      int top)

  Gets the content of DHTML user information panel.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `top` - the top position of user information panel, measured in pixels
  Returns:
    the content of user information panel

### getUserbar

    java.lang.StringBuffer getUserbar(java.lang.String id,
                                      java.lang.String indent,
                                      int count,
                                      int left,
                                      int top,
                                      int width,
                                      int height)

  Gets the content of DHTML user information panel.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `left` - the left position of user information panel, measured in pixels
    `top` - the top position of user information panel, measured in pixels
    `width` - the width of user information panel, measured in pixels
    `height` - the height of user information panel, measured in pixels
  Returns:
    the content of user information panel

### getMenu

    java.lang.StringBuffer getMenu(java.lang.String id,
                                   java.lang.String indent,
                                   int count,
                                   int top)

  Gets the content of DHTML menu.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `left` - the left position of menu, measured in pixels
    `top` - the top position of menu, measured in pixels
  Returns:
    the content of menu

### getMenu

    java.lang.StringBuffer getMenu(java.lang.String id,
                                   java.lang.String indent,
                                   int count,
                                   int left,
                                   int top,
                                   int width,
                                   int height)

  Gets the content of DHTML Menu.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `left` - the left position of Menu, measured in pixels
    `top` - the top position of Menu, measured in pixels
    `width` - the width of Menu, measured in pixels
    `height` - the height of Menu, measured in pixels
  Returns:
    the content of Menu

### getMenu

    java.lang.StringBuffer getMenu(java.lang.String id,
                                   java.lang.String indent,
                                   int count)

  Gets the content of DHTML menu.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
  Returns:
    the content of menu

### getVSplitbar

    java.lang.StringBuffer getVSplitbar(java.lang.String indent,
                                        int count,
                                        int top,
                                        int height)

  Gets the content of DHTML Split bar.

  Parameters:
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `top` - the top position of Menu, measured in pixels
    `height` - the height of Menu, measured in pixels
  Returns:
    the content of Split bar

### getReportTabbar

    java.lang.StringBuffer getReportTabbar(java.lang.String id,
                                           java.lang.String indent,
                                           int count,
                                           int left,
                                           int top,
                                           int width)

  Gets the content of DHTML Report tab bar.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `left` - the left position of Menu, measured in pixels
    `top` - the top position of Menu, measured in pixels
    `width` - the width of Menu, measured in pixels
  Returns:
    the content of Report tab bar

### getToolbar

    java.lang.StringBuffer getToolbar(java.lang.String id,
                                      java.lang.String indent,
                                      int count,
                                      int top)

  Gets the content of DHTML Toolbar.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `left` - the left position of Toolbar, measured in pixels
    `top` - the top position of Toolbar, measured in pixels
  Returns:
    the content of DHTML Toolbar

### getToolbar

    java.lang.StringBuffer getToolbar(java.lang.String id,
                                      java.lang.String indent,
                                      int count,
                                      int left,
                                      int top,
                                      int width,
                                      int height)

  Gets the content of DHTML Toolbar.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `left` - the left position of Toolbar, measured in pixels
    `top` - the top position of Toolbar, measured in pixels
    `width` - the width of Toolbar, measured in pixels
    `height` - the height of Toolbar, measured in pixels
  Returns:
    the content of DHTML Toolbar

### getToolbar

    java.lang.StringBuffer getToolbar(java.lang.String id,
                                      java.lang.String indent,
                                      int count,
                                      int top,
                                      java.lang.String toolbarId)

  Gets the content of DHTML Toolbar.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `left` - the left position of Toolbar, measured in pixels
    `top` - the top position of Toolbar, measured in pixels
    `toolbarId` - the ID of Toolbar
  Returns:
    the content of DHTML Toolbar

### getNavibar

    java.lang.StringBuffer getNavibar(java.lang.String id,
                                      java.lang.String indent,
                                      int count,
                                      int top)

  Gets the content of DHTML Toolbar.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `left` - the left position of Toolbar, measured in pixels
    `top` - the top position of Toolbar, measured in pixels
    `width` - the width of Toolbar, measured in pixels
    `height` - the height of Toolbar, measured in pixels
  Returns:
    the content of DHTML Toolbar

### getNavibar

    java.lang.StringBuffer getNavibar(java.lang.String id,
                                      java.lang.String indent,
                                      int count,
                                      int left,
                                      int top,
                                      int width,
                                      int height)

  Gets the content of DHTML Navigation bar.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `left` - the left position of Navigation bar, measured in pixels
    `top` - the top position of Navigation bar, measured in pixels
    `width` - the width of Navigation bar, measured in pixels
    `height` - the height of Navigation bar, measured in pixels
  Returns:
    the content of DHTML Navigation bar

### getTOCBrowser

    java.lang.StringBuffer getTOCBrowser(java.lang.String id,
                                         java.lang.String indent,
                                         int count,
                                         int left,
                                         int top,
                                         int width,
                                         int height)

  Gets the content of DHTML Table Of Content.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `left` - the left position of table of content, measured in pixels
    `top` - the top position of Table Of Content, measured in pixels
    `width` - the width of Table Of Content, measured in pixels
    `height` - the height of Table Of Content, measured in pixels
  Returns:
    the content of DHTML Table Of Content

### getTOCTree

    java.lang.StringBuffer getTOCTree(java.lang.String id,
                                      java.lang.String indent,
                                      int count)

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
  Returns:
    the content of DHTML DIV Table Of Content

### getReportBrowser

    java.lang.StringBuffer getReportBrowser(java.lang.String id,
                                            java.lang.String indent,
                                            int count,
                                            int left,
                                            int top,
                                            int width,
                                            int height)

  Gets the content of DHTML Report Browser.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `left` - the left position of Report Browser, measured in pixels
    `top` - the top position of Report Browser, measured in pixels
    `width` - the width of Report Browser, measured in pixels
    `height` - the height of Report Browser, measured in pixels
  Returns:
    the content of DHTML Report Browser

### getFilterPanel

    java.lang.StringBuffer getFilterPanel(java.lang.String id,
                                          java.lang.String indent,
                                          int count,
                                          int left,
                                          int top,
                                          int width,
                                          int height)

  Gets the content of DHTML Filter Panel.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `left` - the left position of Filter Panel, measured in pixels
    `top` - the top position of Filter Panel, measured in pixels
    `width` - the width of Filter Panel, measured in pixels
    `height` - the height of Filter Panel, measured in pixels
  Returns:
    the content of DHTML Filter Panel

### getSortPanel

    java.lang.StringBuffer getSortPanel(java.lang.String id,
                                        java.lang.String indent,
                                        int count,
                                        int left,
                                        int top,
                                        int width,
                                        int height)

  Gets the content of DHTML Sort Panel.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `left` - the left position of Sort Panel, measured in pixels
    `top` - the top position of Sort Panel, measured in pixels
    `width` - the width of Sort Panel, measured in pixels
    `height` - the height of Sort Panel, measured in pixels
  Returns:
    the content of DHTML Sort Panel

### getGroupSortPanel

    java.lang.StringBuffer getGroupSortPanel(java.lang.String id,
                                             java.lang.String indent,
                                             int count,
                                             int left,
                                             int top,
                                             int width,
                                             int height)

  Gets the content of DHTML group Sort Panel.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `left` - the left position of Sort Panel, measured in pixels
    `top` - the top position of Sort Panel, measured in pixels
    `width` - the width of Sort Panel, measured in pixels
    `height` - the height of Sort Panel, measured in pixels
  Returns:
    the content of DHTML Sort Panel

### getHeader

    java.lang.StringBuffer getHeader(java.lang.String title,
                                     java.lang.String encoding,
                                     java.lang.String[][] js,
                                     java.lang.String[][] css,
                                     java.lang.String id)

  Gets the content of DHTML header.

  Parameters:
    `title` - the page title
    `encoding` - the page encoding
    `js` - the javascripts included in this page, in which the js names are stored in the 1st element of the 2nd dimension, and the js IDs are stored in the 2nd element of the 2nd dimension, like {{name, id},{name, id},...}
    `css` - the CSS files included in this page, in which the CSS names are stored in the 1st element of the 2nd dimension, and the CSS IDs are stored in the 2nd element of the 2nd dimension, like {{name, id},{name, id},...}
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    the content of DHTML header

### getHeader

    java.lang.StringBuffer getHeader(java.lang.String title,
                                     java.lang.String encoding,
                                     java.lang.String[] meta,
                                     java.lang.String[][] js,
                                     java.lang.String[][] css,
                                     java.lang.String id)

  Gets the content of DHTML header.

  Parameters:
    `title` - the page title
    `encoding` - the page encoding
    `meta` - the page meta elements
    `js` - the javascripts included in this page, in which the js names are stored in the 1st element of the 2nd dimension, and the js IDs are stored in the 2nd element of the 2nd dimension, like {{name, id},{name, id},...}
    `css` - the CSS files included in this page, in which the CSS names are stored in the 1st element of the 2nd dimension, and the CSS IDs are stored in the 2nd element of the 2nd dimension, like {{name, id},{name, id},...}
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    the content of DHTML header

### getFooter

    java.lang.StringBuffer getFooter()

  Gets the content of DHTML footer.

  Returns:
    the content of DHTML footer

### getFooter

    java.lang.StringBuffer getFooter(boolean pageLoaded)

  Gets the content of DHTML footer.

  Parameters:
    `pageLoaded` - specifies whether to generate the page loaded flag
  Returns:
    the content of DHTML footer

### getExec

    java.lang.StringBuffer getExec(java.lang.String id,
                                   java.lang.String indent,
                                   java.lang.String[] function)

  Gets the executeable javascript code fragment based on the specified functions

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `the` - function names
  Returns:
    the executeable javascript code fragment based on the specified functions

### toolbarButton

    void toolbarButton(java.lang.String id,
                       java.lang.String indent,
                       int count,
                       int left,
                       int top,
                       java.lang.String onmouseover,
                       java.lang.String onmouseout,
                       boolean enable,
                       java.lang.String onclick,
                       java.lang.String onmousedown,
                       java.lang.String onmouseup,
                       java.lang.String buttonId,
                       java.lang.String src,
                       java.lang.String title,
                       java.lang.StringBuffer buffer)

  Generates the content of toolbar button to the specified StringBuffer.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `left` - the left position of toolbar button, measured in pixels
    `top` - the top position of toolbar button, measured in pixels
    `onmouseover` - specifies the method names of the javasript that you want to invoke when the mouse is hanging over the button.
    `onmouseout` - specifies the method names of the javasript that you want to invoke when the mouse is moving out of the button.
    `enable` - specifies the button status, enabled or disabled
    `onclick` - specifies the method names of the javasript that you want to invoke when the button is being clicked.
    `onmousedown` - specifies the method names of the javasript that you want to invoke when the button is being pressed down.
    `onmouseup` - specifies the method names of the javasript that you want to invoke when the button is being released.
    `buttonId` - the button element id
    `src` - the button image file name
    `title` - the button tooltip
    `the` - StringBuffer where to generates the content of toolbar button

### getExcelDialogAct

    java.lang.String getExcelDialogAct(java.lang.String id,
                                       boolean modal,
                                       java.lang.String title,
                                       int width,
                                       int height)

  Gets the command string of the "show Export to Excel Dialog" action.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    the command string of the "show Export to Excel Dialog" action

### getPrintDialogAct

    java.lang.String getPrintDialogAct()

  Gets the command string of the "show Print Dialog" action.

  Returns:
    the command string of the "show Print Dialog" action

### getSearchDialogAct

    java.lang.String getSearchDialogAct(java.lang.String id)

  Gets the command string of the "show Search Dialog" action.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    the command string of the "show Search Dialog" action

### getSaveRstDialogAct

    java.lang.String getSaveRstDialogAct(java.lang.String id)

  Gets the command string of the "show Save Result Dialog" action.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    the command string of the "show Save Result Dialog" action

### getSaveAsDialogAct

    java.lang.String getSaveAsDialogAct(java.lang.String id)

  Gets the command string of the "show Save as Dialog" action.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    the command string of the "show Save save Dialog" action

### getExitAct

    java.lang.String getExitAct(java.lang.String id)

  Gets the command string of the exit action.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    the command string of the exit action

### indent

    void indent(java.lang.StringBuffer buffer,
                java.lang.String indent,
                int count)

  Indents the content of specified StringBuffer.

  Parameters:
    `buffer` - the StringBuffer
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers

### getChars

    char[] getChars(java.lang.StringBuffer buf)

  Converts the content of the specified StringBuffer to a char array.

  Parameters:
    `buf` - the StringBuffer
  Returns:
    a char array

### setLayoutFunction

    void setLayoutFunction(java.lang.String jsName,
                           java.lang.String funName)

  Sets the javascript file name and function name that are used to format the UI layout.

  Parameters:
    `jsName` - the javascript file name
    `funName` - the function name

### getTOCBrowser

    java.lang.StringBuffer getTOCBrowser(java.lang.String id,
                                         java.lang.String indent,
                                         int count,
                                         int left,
                                         int top,
                                         int width,
                                         int height,
                                         java.lang.String tocId,
                                         java.lang.String fid,
                                         boolean isDisplay,
                                         java.lang.String bgColor)

  Gets the content of DHTML Table Of Content.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` - the indent that is used to format output content
    `count` - the distance between start position and the leftmost column, measured in Tab numbers
    `left` - the left position of table of content, measured in pixels
    `top` - the top position of Table Of Content, measured in pixels
    `width` - the width of Table Of Content, measured in pixels
    `height` - the height of Table Of Content, measured in pixels
    `tocId` - the toc element id.
    `fid` -
    `isDisplay` -
    `bgColor` -
  Returns:
    the content of DHTML Table Of Content

### getTOCBrowser

    java.lang.StringBuffer getTOCBrowser(java.lang.String id,
                                         int left,
                                         int top,
                                         int width,
                                         int height,
                                         boolean isDisplay,
                                         java.lang.String bgColor)

  Gets the content of DHTML Table Of Content.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `left` - the left position of table of content, measured in pixels
    `top` - the top position of Table Of Content, measured in pixels
    `width` - the width of Table Of Content, measured in pixels
    `height` - the height of Table Of Content, measured in pixels
    `isDisplay` -
    `bgColor` -
  Returns:
    the content of DHTML Table Of Content

### getReportBrowser

    java.lang.StringBuffer getReportBrowser(java.lang.String id,
                                            java.lang.String indent,
                                            int count,
                                            int left,
                                            int top,
                                            int width,
                                            int height,
                                            boolean isDisplay,
                                            java.lang.String bgcolor)

  Gets the html which the DHTML's Report Browser

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `indent` -
    `count` -
    `left` - the left position of table of content, measured in pixels
    `top` - the top position of Table Of Content, measured in pixels
    `width` - the width of Table Of Content, measured in pixels
    `height` - the height of Table Of Content, measured in pixels
    `isDisplay` - whether the iframe is visible.
    `bgColor` - whate color the iframe.
  Returns:
    the content of DHTML through open a new windows.

### getPageMenuBtn

    java.lang.String getPageMenuBtn(java.lang.String id,
                                    java.lang.String indent,
                                    int count)

  customize mainpage components

### getPageTocBtn

    java.lang.String getPageTocBtn(java.lang.String id,
                                   java.lang.String indent,
                                   int count)

### getPageZoomSelect

    java.lang.String getPageZoomSelect(java.lang.String id,
                                       java.lang.String indent,
                                       int count)

### getPageNavBtn

    java.lang.String getPageNavBtn(java.lang.String id,
                                   java.lang.String indent,
                                   int count)

### getPageSearchBtn

    java.lang.String getPageSearchBtn(java.lang.String id,
                                      java.lang.String indent,
                                      int count)

### getPageSortBtn

    java.lang.String getPageSortBtn(java.lang.String id,
                                    java.lang.String indent,
                                    int count)

### getPageFilterBtn

    java.lang.String getPageFilterBtn(java.lang.String id,
                                      java.lang.String indent,
                                      int count)

### getPageSaveBtn

    java.lang.String getPageSaveBtn(java.lang.String id,
                                    java.lang.String indent,
                                    int count)

### getPageResetBtn

    java.lang.String getPageResetBtn(java.lang.String id,
                                     java.lang.String indent,
                                     int count)

### getPagePrintBtn

    java.lang.String getPagePrintBtn(java.lang.String id,
                                     java.lang.String indent,
                                     int count)

### getPageRefreshBtn

    java.lang.String getPageRefreshBtn(java.lang.String id,
                                       java.lang.String indent,
                                       int count)

### getPageLockBtn

    java.lang.String getPageLockBtn(java.lang.String id,
                                    java.lang.String indent,
                                    int count)

### getPageHelpBtn

    java.lang.String getPageHelpBtn(java.lang.String id,
                                    java.lang.String indent,
                                    int count)

### getPageCloseBtn

    java.lang.String getPageCloseBtn(java.lang.String id,
                                     java.lang.String indent,
                                     int count,
                                     boolean popwin)

### setProperty

    void setProperty(java.lang.String id,
                     java.lang.String objectId,
                     java.lang.String propertyKey,
                     java.lang.String propertyValue)
                     throws java.lang.Exception

  Set the component's property

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
    `objectId` - the component's id
    `key` - the property name.
    `propertyValue` - the property value.
  Throws:
    `java.lang.Exception`

### setProperty

    void setProperty(java.lang.String id,
                     java.lang.String objectId,
                     java.lang.String propertyKey,
                     int propertyValue)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setProperty

    void setProperty(java.lang.String id,
                     java.lang.String objectId,
                     java.lang.String propertyKey,
                     float propertyValue)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setProperty

    void setProperty(java.lang.String id,
                     java.lang.String objectId,
                     java.lang.String propertyKey,
                     double propertyValue)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setProperty

    void setProperty(java.lang.String id,
                     java.lang.String objectId,
                     java.util.Hashtable properties)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getRequiredHTML

    java.lang.StringBuffer getRequiredHTML(java.lang.String id)

  Gets the Required HTML information,include js file,css file and some System Information.

  Parameters:
    `id` - can be the report runtime id or the user session id. When it is the user session id(Deprecated, it can't be used in multiple reports mode), it indicates the only report in session. When it is the report runtime id, it indicates the report specified by this runtime id in session.
  Returns:
    the string of the "the Required HTML information".

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD